<ng-container *ngIf="dispatchFileView; else loadingFileViewBlk">
  <div class="eh-h-100p" fxLayout="column">
    <ng-container *ngIf="isFileAvailable">
      <div class="eh-h-68 e-brd e-brd--bottom eh-p-16" fxFlex="0 0 auto" fxLayout="row"
        fxLayoutAlign="space-between center">
        <div class="eh-txt-bold eh-txt-breakword eh-px-2">{{title}}</div>
        <div *ngIf="allowReplace" fxLayout="row">
          <div class="eh-w-76">
            <input type="file" #fileUpload class="eh-d-none" accept="{{acceptedFileTypes}}"
              (change)="onUploadFile($event, true)">
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Replace'" [loading]="uploading || deleting"
              [disabled]="uploading || deleting" (onButtonClick)="fileUpload.click()">
            </app-button>
          </div>

          <div class="eh-w-92 eh-ml-16">
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Download'" [loading]="downloading"
              [disabled]="uploading || deleting" (click)="onDownloadFile()">
            </app-button>
          </div>
        </div>

        <div *ngIf="allowDelete" fxLayout="row">
          <div class="eh-w-76 eh-ml-2">
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Delete'" [loading]="deleting"
              [disabled]="uploading || deleting" (onButtonClick)="onDeleteFile()">
            </app-button>
          </div>

          <div class="eh-w-92 eh-h-30 eh-ml-16">
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Download'" [loading]="downloading"
              [disabled]="uploading || deleting" (click)="onDownloadFile()">
            </app-button>
          </div>
        </div>

        <div *ngIf="!allowReplace && !allowDelete">
          <div class="eh-w-92 eh-h-30">
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Download'" [loading]="downloading"
              [disabled]="uploading || deleting" (click)="onDownloadFile()">
            </app-button>
          </div>
        </div>
      </div>

      <div class="eh-p-8 eh-ofy-scroll eh-hide-scrollbars" fxFlex="1 0 0%">
        <pdf-viewer *ngIf="!isImg" [original-size]="false" [fit-to-page]="true" src="{{fileURL}}">
        </pdf-viewer>
        <img *ngIf="isImg" class="eh-fit" src="{{fileURL}}" alt="Image">
      </div>
    </ng-container>

    <ng-container *ngIf="!isFileAvailable">
      <div class="eh-h-68 e-brd e-brd--bottom eh-p-16" fxLayout="row" fxLayoutAlign="space-between center"
        fxFlex="0 0 auto">
        <span class="eh-txt-bold eh-txt-breakword">{{title}}</span>

        <div *ngIf="allowUpload" class="eh-w-72">
          <input type="file" #fileUpload class="eh-d-none" accept="{{acceptedFileTypes}}"
            (change)="onUploadFile($event)">
          <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Upload'" [loading]="uploading"
            [disabled]="uploading || deleting" (onButtonClick)="fileUpload.click()">
          </app-button>
        </div>
      </div>

      <div class="e-txt e-txt--placeholder eh-txt-center eh-mt-16">
        {{placeholder}}
      </div>
    </ng-container>
  </div>
</ng-container>

<ng-template #loadingFileViewBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>